#### <font color = "MediumSeaGreen">Задачи:</font>
1. Интегрировать поддержку 3ф ИБП в контроллер 6709mts и 6712 (с внешним датчиком температуры и влажности) для поставки в МТС.
	[[Galleon II Galleon III 3 phase V02.pdf]]
	[[Galleon II-33-10K-60K-Rack_DS.PDF]]
	[[Galleon II 3phase 10-40K UM.PDF]]
2.  Интегрировать поддержку ИБП нового типа для Билайн в контроллеры 6709 или 6711v1. Протокол базируется на стандартном Megateс.
	[[MEGA 通讯协议.pdf]]
#### <font color = "MediumSeaGreen">Общее:</font>
* Проект ==bt-67xx_universal_hw==
* IP устройства по умолчанию 192.168.0.254
* login/pas - admin/12345	
#### <font color = "MediumSeaGreen">Сборка/отладка:</font>

**Сборка:**
* Опция DEBUG=0 включает защиту flash памяти контроллера.
* Релиз выпускается с DEBUG=0
```bash
$ make HARDWARE=bt6711_v1 VERBOSE=1 DEBUG=1 PRINTF=custom MAC=EC-4C-4D-00-78-89 CROSS="/home/dtelenkov/soft/tools/Sourcery_CodeBench_Lite_for_ARM_EABI/bin/arm-none-eabi"
```
**Подключение:**
```bash
$ make openocd_ups
```
**Отладка:**
```bash
$ arm-none-eabi-gdb -x .gdbinit_bt6711_v1
```
**Снять защиту от чтения:**
```bash
openocd -f interface/stlink.cfg -f target/stm32f4x.cfg -c "init; reset halt; stm32f4x unlock 0; reset halt; exit"
```
